Description

Sorry if this has been asked before!

How can i merge variables from one dataset to another from the same year. one variable is a household income measure (one case
per household) but the dataset has individual occupants. the datasets share household identifier codes so i need to make sure the
correct income data is given to those in the correct households. do you know how to do this?

i would also like to compile data from different years into one dataset for longitudinal analysis. How can i do this while ensuring data
stays within its respective year classification?

Thanks!

History

#1 - 02/02/2021 11:04 AM - Understanding Society User Support Team
- Status changed from New to In Progress

- Assignee set to Understanding Society User Support Team

- % Done changed from 0 to 10

- Private changed from Yes to No

Dear Rachel,
Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response
times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,
Understanding Society User Support Team

#2 - 02/02/2021 06:06 PM - Understanding Society User Support Team
- Status changed from In Progress to Feedback

- % Done changed from 10 to 50
Hi Rachel,
1) I am assuming you want to merge a household level file (such as w_hhresp) with an individual level file (such as w_indresp), you can find syntax

files in different formats doing exactly that here: https://www.understandingsociety.ac.uk/documentation/mainstage/syntax (“Distributing household
level information to the individual level”),

2) You said to you wanted to “compile data from different years”, did you mean waves by “years”? If this is the case, then you might want to check the
syntax files showing how to merge individual files across waves (https://www.understandingsociety.ac.uk/documentation/mainstage/syntax : “Merging
individual files across waves into wide format” and “Merging individual files across waves into long format). If, however, you meant calendar years,
then you would need to filter out respondents who completed the survey in a given year using the w_intdaty_dv variable (though if you wanted to get
all respondents that completed the survey in a given year, you would need to merge it first anyway).

| would also advise checking our online Moodle “Introduction to Understanding Society using R,Stata, SPSS and SAS” course, available here:
https://www.understandingsociety.ac.uk/help/training/online It discusses the two issues you asked about, plus many other topics related to
longitudinal data management you might find interesting.

Best wishes,
Understanding Society User Support Team
- Assignee changed from Understanding Society User Support Team to Piotr Marzec

#4 - 08/05/2021 02:04 PM - Understanding Society User Support Team

- Assignee deleted (Piotr Marzec)

#5 - 10/12/2021 02:43 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
